Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.util
Class NameClassComparator

    java.lang.Object
      com.sun.msv.grammar.util.NameClassComparator

All Implemented Interfaces:
  NameClassVisitor

Direct Known Subclasses:
  NameClassCollisionChecker

public abstract class NameClassComparator
extends java.lang.Object
implements NameClassVisitor

Abstract implementation of a function

       NameClass x NameClass ->  boolean

Override the probe method to define the actual function.

To compute, create an instance and call the check method. This class is not reentrant, so the caller is responsible not to reuse the same object by multiple threads.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`NameClassComparator()`

Method Summary
`boolean` | `check(NameClass _new, NameClass _old)` Returns true if two name classes collide.
`java.lang.Object` | `onAnyName(AnyNameClass nc)`
`java.lang.Object` | `onChoice(ChoiceNameClass nc)`
`java.lang.Object` | `onDifference(DifferenceNameClass nc)`
`java.lang.Object` | `onNot(NotNameClass nc)`
`java.lang.Object` | `onNsName(NamespaceNameClass nc)`
`java.lang.Object` | `onSimple(SimpleNameClass nc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassComparator

    public NameClassComparator()

Method Detail

### check

    public boolean check(NameClass _new,
                         NameClass _old)

  Returns true if two name classes collide.

### onAnyName

    public java.lang.Object onAnyName(AnyNameClass nc)

  Specified by:
    `onAnyName` in interface `NameClassVisitor`

### onNsName

    public java.lang.Object onNsName(NamespaceNameClass nc)

  Specified by:
    `onNsName` in interface `NameClassVisitor`

### onSimple

    public java.lang.Object onSimple(SimpleNameClass nc)

  Specified by:
    `onSimple` in interface `NameClassVisitor`

### onNot

    public java.lang.Object onNot(NotNameClass nc)

  Specified by:
    `onNot` in interface `NameClassVisitor`

### onDifference

    public java.lang.Object onDifference(DifferenceNameClass nc)

  Specified by:
    `onDifference` in interface `NameClassVisitor`

### onChoice

    public java.lang.Object onChoice(ChoiceNameClass nc)

  Specified by:
    `onChoice` in interface `NameClassVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD